> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employee Information

> Retrieve key information about a single W-2 employee by employeeID.

This request uses the `employeeID` attribute to return key information about the employee, contained within the [Employee Object](/reference/employees/the-employee-object). This is the same underlying route as [Get Employees](/reference/employees/get-employees), which lists/filters instead of looking up a single employee - the API doesn't distinguish these with separate routes, so each page documents the query parameters for its own intended usage.

<Note>
  This applies to W-2 employees. For 1099 contractors, use the [Get Contractor Information](/reference/contractors/get-contractor-information) request instead.
</Note>

## Returns

| attribute | type    | description                                                                                                                                                                        |
| --------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| success   | boolean | Response status                                                                                                                                                                    |
| data      | object  | Retrieves the [Employee Object](/reference/employees/the-employee-object) for the requested employee                                                                               |
| errors    | array   | Contains a list of error objects which consists of: `message` (error message) and `code` (error code, see [Error codes](https://docs.zeal.com/reference/introduction/error-codes)) |


## OpenAPI

````yaml openapi/zeal-api.json get /employees
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /employees:
    get:
      summary: Get Employee Information
      description: Get a specific employee's information.
      operationId: retrieve-employee-information
      parameters:
        - name: companyID
          in: query
          description: Company ID of employer
          required: true
          schema:
            type: string
        - name: employeeID
          in: query
          description: Employee ID
          required: false
          schema:
            type: string
        - name: onboarded
          in: query
          description: Filter by Employee onboarded status
          required: false
          schema:
            type: boolean
        - name: employment_status
          in: query
          description: Filter by Employee employment status
          required: false
          schema:
            type: string
        - name: title
          in: query
          description: Filter by Employee title
          required: false
          schema:
            type: string
        - name: dob
          in: query
          description: Filter by Employee date of birth
          required: false
          schema:
            type: string
        - name: start_date
          in: query
          description: Filter by Employee start date
          required: false
          schema:
            type: string
        - name: email
          in: query
          description: Filter by Employee email
          required: false
          schema:
            type: string
        - name: phone_number
          in: query
          description: Filter by Employee phone number
          required: false
          schema:
            type: string
        - name: default_pay_schedule
          in: query
          description: Filter by Employee default pay schedule
          required: false
          schema:
            type: string
            enum:
              - daily
              - weekly
              - biweekly
              - semimonthly
              - monthly
              - quarterly
        - name: is_943
          in: query
          description: Filter by whether Employee is 943 status
          required: false
          schema:
            type: boolean
        - name: is_scheduleH
          in: query
          description: Filter by whether Employee is scheduleH status
          required: false
          schema:
            type: boolean
        - name: external_id
          in: query
          description: Filter by Employee external ID
          required: false
          schema:
            type: string
        - name: workLocationID
          in: query
          description: Filter by Employee work location ID
          required: false
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      employeeID: '1234567890'
                      companyID: 1b5n28nrideucd24
                      onboarded: true
                      employment_status: live
                      term_date: null
                      first_name: erlich
                      last_name: bachman
                      email: erlich@zeal.com
                      dob: '1999-12-04'
                      start_date: '2019-06-04'
                      title: Brand Ambassador
                      working_state: CA
                      workLocationID: 531fece70b6d0b5d29c9f352
                      address: 320 Pancake Hollow Road
                      address_line2: null
                      city: Highland
                      state: NY
                      zip: '12528'
                      phone_number: '+18214370987'
                      default_wage: 20
                      default_pay_schedule: weekly
                      default_ot_wage: 30
                      default_dt_wage: 40
                      ssn: '123456789'
                      is_943: false
                      is_salary: true
                      salary: 100000
                      is_scheduleH: false
                      paycard_requested: false
                      paycard_enabled: false
                      kyc_status: approved
                      ssn_verification_status: null
                      soc_code: 41-3011
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      employeeID:
                        type: string
                        example: '1234567890'
                      companyID:
                        type: string
                        example: 1b5n28nrideucd24
                      onboarded:
                        type: boolean
                        example: true
                        default: true
                      employment_status:
                        type: string
                        example: live
                      term_date:
                        path: /orders-4
                      first_name:
                        type: string
                        example: erlich
                      last_name:
                        type: string
                        example: bachman
                      email:
                        type: string
                        example: erlich@zeal.com
                      dob:
                        type: string
                        example: '1999-12-04'
                      start_date:
                        type: string
                        example: '2019-06-04'
                      title:
                        type: string
                        example: Brand Ambassador
                      working_state:
                        type: string
                        example: CA
                      workLocationID:
                        type: string
                        example: 531fece70b6d0b5d29c9f352
                      address:
                        type: string
                        example: 320 Pancake Hollow Road
                      address_line2:
                        path: /orders-4
                      city:
                        type: string
                        example: Highland
                      state:
                        type: string
                        example: NY
                      zip:
                        type: string
                        example: '12528'
                      phone_number:
                        type: string
                        example: '+18214370987'
                      default_wage:
                        type: integer
                        example: 20
                        default: 0
                      default_pay_schedule:
                        type: string
                        example: weekly
                      default_ot_wage:
                        type: integer
                        example: 30
                        default: 0
                      default_dt_wage:
                        type: integer
                        example: 40
                        default: 0
                      ssn:
                        type: string
                        example: '123456789'
                      is_943:
                        type: boolean
                        example: false
                        default: true
                      is_salary:
                        type: boolean
                        example: true
                        default: true
                      salary:
                        type: integer
                        example: 100000
                        default: 0
                      is_scheduleH:
                        type: boolean
                        example: false
                        default: true
                      paycard_requested:
                        type: boolean
                        example: false
                        default: true
                      paycard_enabled:
                        type: boolean
                        example: false
                        default: true
                      kyc_status:
                        type: string
                        example: approved
                      ssn_verification_status:
                        path: /orders-4
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Employee ID is not formatted correctly
                        code: 13
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Employee ID is not formatted correctly
                        code:
                          type: integer
                          example: 13
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````